Index: trunk/sources/HeuristicLab.Hive.Server.Console/AddNewForm.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.Hive.Server.Console/AddNewForm.Designer.cs	(revision 956)
+++ trunk/sources/HeuristicLab.Hive.Server.Console/AddNewForm.Designer.cs	(revision 956)
@@ -0,0 +1,112 @@
+﻿namespace HeuristicLab.Hive.Server.Console {
+  partial class AddNewForm {
+    /// <summary>
+    /// Required designer variable.
+    /// </summary>
+    private System.ComponentModel.IContainer components = null;
+
+    /// <summary>
+    /// Clean up any resources being used.
+    /// </summary>
+    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
+    protected override void Dispose(bool disposing) {
+      if (disposing && (components != null)) {
+        components.Dispose();
+      }
+      base.Dispose(disposing);
+    }
+
+    #region Windows Form Designer generated code
+
+    /// <summary>
+    /// Required method for Designer support - do not modify
+    /// the contents of this method with the code editor.
+    /// </summary>
+    private void InitializeComponent() {
+      this.lblOne = new System.Windows.Forms.Label();
+      this.lblGroup = new System.Windows.Forms.Label();
+      this.textBox1 = new System.Windows.Forms.TextBox();
+      this.comboBox1 = new System.Windows.Forms.ComboBox();
+      this.btnAdd = new System.Windows.Forms.Button();
+      this.btnClose = new System.Windows.Forms.Button();
+      this.SuspendLayout();
+      // 
+      // lblOne
+      // 
+      this.lblOne.AutoSize = true;
+      this.lblOne.Location = new System.Drawing.Point(12, 14);
+      this.lblOne.Name = "lblOne";
+      this.lblOne.Size = new System.Drawing.Size(35, 13);
+      this.lblOne.TabIndex = 0;
+      this.lblOne.Text = "label1";
+      // 
+      // lblGroup
+      // 
+      this.lblGroup.AutoSize = true;
+      this.lblGroup.Location = new System.Drawing.Point(12, 51);
+      this.lblGroup.Name = "lblGroup";
+      this.lblGroup.Size = new System.Drawing.Size(35, 13);
+      this.lblGroup.TabIndex = 1;
+      this.lblGroup.Text = "label2";
+      // 
+      // textBox1
+      // 
+      this.textBox1.Location = new System.Drawing.Point(120, 7);
+      this.textBox1.Name = "textBox1";
+      this.textBox1.Size = new System.Drawing.Size(212, 20);
+      this.textBox1.TabIndex = 2;
+      // 
+      // comboBox1
+      // 
+      this.comboBox1.FormattingEnabled = true;
+      this.comboBox1.Location = new System.Drawing.Point(120, 42);
+      this.comboBox1.Name = "comboBox1";
+      this.comboBox1.Size = new System.Drawing.Size(212, 21);
+      this.comboBox1.TabIndex = 3;
+      // 
+      // btnAdd
+      // 
+      this.btnAdd.Location = new System.Drawing.Point(12, 69);
+      this.btnAdd.Name = "btnAdd";
+      this.btnAdd.Size = new System.Drawing.Size(75, 23);
+      this.btnAdd.TabIndex = 4;
+      this.btnAdd.Text = "Add";
+      this.btnAdd.UseVisualStyleBackColor = true;
+      // 
+      // btnClose
+      // 
+      this.btnClose.Location = new System.Drawing.Point(257, 69);
+      this.btnClose.Name = "btnClose";
+      this.btnClose.Size = new System.Drawing.Size(75, 23);
+      this.btnClose.TabIndex = 5;
+      this.btnClose.Text = "Close";
+      this.btnClose.UseVisualStyleBackColor = true;
+      // 
+      // AddNewForm
+      // 
+      this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
+      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+      this.ClientSize = new System.Drawing.Size(344, 102);
+      this.Controls.Add(this.btnClose);
+      this.Controls.Add(this.btnAdd);
+      this.Controls.Add(this.comboBox1);
+      this.Controls.Add(this.textBox1);
+      this.Controls.Add(this.lblGroup);
+      this.Controls.Add(this.lblOne);
+      this.Name = "AddNewForm";
+      this.Text = "AddNewForm";
+      this.ResumeLayout(false);
+      this.PerformLayout();
+
+    }
+
+    #endregion
+
+    private System.Windows.Forms.Label lblOne;
+    private System.Windows.Forms.Label lblGroup;
+    private System.Windows.Forms.TextBox textBox1;
+    private System.Windows.Forms.ComboBox comboBox1;
+    private System.Windows.Forms.Button btnAdd;
+    private System.Windows.Forms.Button btnClose;
+  }
+}
Index: trunk/sources/HeuristicLab.Hive.Server.Console/AddNewForm.cs
===================================================================
--- trunk/sources/HeuristicLab.Hive.Server.Console/AddNewForm.cs	(revision 956)
+++ trunk/sources/HeuristicLab.Hive.Server.Console/AddNewForm.cs	(revision 956)
@@ -0,0 +1,39 @@
+﻿using System;
+using System.Collections.Generic;
+using System.ComponentModel;
+using System.Data;
+using System.Drawing;
+using System.Linq;
+using System.Text;
+using System.Windows.Forms;
+using HeuristicLab.Hive.Contracts.Interfaces;
+using HeuristicLab.Hive.Contracts.BusinessObjects;
+using HeuristicLab.Hive.Contracts;
+
+namespace HeuristicLab.Hive.Server.Console {
+  public partial class AddNewForm : Form {
+
+    ResponseList<UserGroup> userGroups = null;
+
+    public AddNewForm(string addForm, bool group) {
+
+      InitializeComponent();
+      this.Name = "Add " + addForm;
+
+      lblOne.Text = addForm;
+
+      lblGroup.Text = addForm + " Groups";
+    }
+
+    private void addJob() {
+      IUserRoleManager userRoleManager =
+ServiceLocator.GetUserRoleManager();
+      userGroups = userRoleManager.GetAllUserGroups();
+
+    }
+
+    private void addUser() {
+
+    }
+  }
+}
Index: trunk/sources/HeuristicLab.Hive.Server.Console/AddNewForm.resx
===================================================================
--- trunk/sources/HeuristicLab.Hive.Server.Console/AddNewForm.resx	(revision 956)
+++ trunk/sources/HeuristicLab.Hive.Server.Console/AddNewForm.resx	(revision 956)
@@ -0,0 +1,120 @@
+<?xml version="1.0" encoding="utf-8"?>
+<root>
+  <!-- 
+    Microsoft ResX Schema 
+    
+    Version 2.0
+    
+    The primary goals of this format is to allow a simple XML format 
+    that is mostly human readable. The generation and parsing of the 
+    various data types are done through the TypeConverter classes 
+    associated with the data types.
+    
+    Example:
+    
+    ... ado.net/XML headers & schema ...
+    <resheader name="resmimetype">text/microsoft-resx</resheader>
+    <resheader name="version">2.0</resheader>
+    <resheader name="reader">System.Resources.ResXResourceReader, System.Windows.Forms, ...</resheader>
+    <resheader name="writer">System.Resources.ResXResourceWriter, System.Windows.Forms, ...</resheader>
+    <data name="Name1"><value>this is my long string</value><comment>this is a comment</comment></data>
+    <data name="Color1" type="System.Drawing.Color, System.Drawing">Blue</data>
+    <data name="Bitmap1" mimetype="application/x-microsoft.net.object.binary.base64">
+        <value>[base64 mime encoded serialized .NET Framework object]</value>
+    </data>
+    <data name="Icon1" type="System.Drawing.Icon, System.Drawing" mimetype="application/x-microsoft.net.object.bytearray.base64">
+        <value>[base64 mime encoded string representing a byte array form of the .NET Framework object]</value>
+        <comment>This is a comment</comment>
+    </data>
+                
+    There are any number of "resheader" rows that contain simple 
+    name/value pairs.
+    
+    Each data row contains a name, and value. The row also contains a 
+    type or mimetype. Type corresponds to a .NET class that support 
+    text/value conversion through the TypeConverter architecture. 
+    Classes that don't support this are serialized and stored with the 
+    mimetype set.
+    
+    The mimetype is used for serialized objects, and tells the 
+    ResXResourceReader how to depersist the object. This is currently not 
+    extensible. For a given mimetype the value must be set accordingly:
+    
+    Note - application/x-microsoft.net.object.binary.base64 is the format 
+    that the ResXResourceWriter will generate, however the reader can 
+    read any of the formats listed below.
+    
+    mimetype: application/x-microsoft.net.object.binary.base64
+    value   : The object must be serialized with 
+            : System.Runtime.Serialization.Formatters.Binary.BinaryFormatter
+            : and then encoded with base64 encoding.
+    
+    mimetype: application/x-microsoft.net.object.soap.base64
+    value   : The object must be serialized with 
+            : System.Runtime.Serialization.Formatters.Soap.SoapFormatter
+            : and then encoded with base64 encoding.
+
+    mimetype: application/x-microsoft.net.object.bytearray.base64
+    value   : The object must be serialized into a byte array 
+            : using a System.ComponentModel.TypeConverter
+            : and then encoded with base64 encoding.
+    -->
+  <xsd:schema id="root" xmlns="" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata">
+    <xsd:import namespace="http://www.w3.org/XML/1998/namespace" />
+    <xsd:element name="root" msdata:IsDataSet="true">
+      <xsd:complexType>
+        <xsd:choice maxOccurs="unbounded">
+          <xsd:element name="metadata">
+            <xsd:complexType>
+              <xsd:sequence>
+                <xsd:element name="value" type="xsd:string" minOccurs="0" />
+              </xsd:sequence>
+              <xsd:attribute name="name" use="required" type="xsd:string" />
+              <xsd:attribute name="type" type="xsd:string" />
+              <xsd:attribute name="mimetype" type="xsd:string" />
+              <xsd:attribute ref="xml:space" />
+            </xsd:complexType>
+          </xsd:element>
+          <xsd:element name="assembly">
+            <xsd:complexType>
+              <xsd:attribute name="alias" type="xsd:string" />
+              <xsd:attribute name="name" type="xsd:string" />
+            </xsd:complexType>
+          </xsd:element>
+          <xsd:element name="data">
+            <xsd:complexType>
+              <xsd:sequence>
+                <xsd:element name="value" type="xsd:string" minOccurs="0" msdata:Ordinal="1" />
+                <xsd:element name="comment" type="xsd:string" minOccurs="0" msdata:Ordinal="2" />
+              </xsd:sequence>
+              <xsd:attribute name="name" type="xsd:string" use="required" msdata:Ordinal="1" />
+              <xsd:attribute name="type" type="xsd:string" msdata:Ordinal="3" />
+              <xsd:attribute name="mimetype" type="xsd:string" msdata:Ordinal="4" />
+              <xsd:attribute ref="xml:space" />
+            </xsd:complexType>
+          </xsd:element>
+          <xsd:element name="resheader">
+            <xsd:complexType>
+              <xsd:sequence>
+                <xsd:element name="value" type="xsd:string" minOccurs="0" msdata:Ordinal="1" />
+              </xsd:sequence>
+              <xsd:attribute name="name" type="xsd:string" use="required" />
+            </xsd:complexType>
+          </xsd:element>
+        </xsd:choice>
+      </xsd:complexType>
+    </xsd:element>
+  </xsd:schema>
+  <resheader name="resmimetype">
+    <value>text/microsoft-resx</value>
+  </resheader>
+  <resheader name="version">
+    <value>2.0</value>
+  </resheader>
+  <resheader name="reader">
+    <value>System.Resources.ResXResourceReader, System.Windows.Forms, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089</value>
+  </resheader>
+  <resheader name="writer">
+    <value>System.Resources.ResXResourceWriter, System.Windows.Forms, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089</value>
+  </resheader>
+</root>
Index: trunk/sources/HeuristicLab.Hive.Server.Console/HeuristicLab.Hive.Server.Console.csproj
===================================================================
--- trunk/sources/HeuristicLab.Hive.Server.Console/HeuristicLab.Hive.Server.Console.csproj	(revision 955)
+++ trunk/sources/HeuristicLab.Hive.Server.Console/HeuristicLab.Hive.Server.Console.csproj	(revision 956)
@@ -72,4 +72,10 @@
   </ItemGroup>
   <ItemGroup>
+    <Compile Include="AddNewForm.cs">
+      <SubType>Form</SubType>
+    </Compile>
+    <Compile Include="AddNewForm.Designer.cs">
+      <DependentUpon>AddNewForm.cs</DependentUpon>
+    </Compile>
     <Compile Include="HiveServerConsole.cs">
       <SubType>Form</SubType>
@@ -90,4 +96,7 @@
     </Compile>
     <Compile Include="Properties\AssemblyInfo.cs" />
+    <EmbeddedResource Include="AddNewForm.resx">
+      <DependentUpon>AddNewForm.cs</DependentUpon>
+    </EmbeddedResource>
     <EmbeddedResource Include="HiveServerConsole.resx">
       <DependentUpon>HiveServerConsole.cs</DependentUpon>
Index: trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerConsole.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerConsole.Designer.cs	(revision 955)
+++ trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerConsole.Designer.cs	(revision 956)
@@ -54,8 +54,8 @@
       this.btnLogin = new System.Windows.Forms.Button();
       this.groupBox1 = new System.Windows.Forms.GroupBox();
+      this.tbUserName = new System.Windows.Forms.TextBox();
       this.lblPwd = new System.Windows.Forms.Label();
       this.lblUsername = new System.Windows.Forms.Label();
       this.tbPwd = new System.Windows.Forms.TextBox();
-      this.tbUserName = new System.Windows.Forms.TextBox();
       this.lblError = new System.Windows.Forms.Label();
       this.tbIp = new HeuristicLab.Hive.Server.Console.IPAddressTextBox();
@@ -151,4 +151,11 @@
       this.groupBox1.Text = "Manager";
       // 
+      // tbUserName
+      // 
+      this.tbUserName.Location = new System.Drawing.Point(77, 19);
+      this.tbUserName.Name = "tbUserName";
+      this.tbUserName.Size = new System.Drawing.Size(189, 20);
+      this.tbUserName.TabIndex = 4;
+      // 
       // lblPwd
       // 
@@ -175,11 +182,5 @@
       this.tbPwd.Size = new System.Drawing.Size(189, 20);
       this.tbPwd.TabIndex = 1;
-      // 
-      // tbUserName
-      // 
-      this.tbUserName.Location = new System.Drawing.Point(77, 19);
-      this.tbUserName.Name = "tbUserName";
-      this.tbUserName.Size = new System.Drawing.Size(189, 20);
-      this.tbUserName.TabIndex = 4;
+      this.tbPwd.UseSystemPasswordChar = true;
       // 
       // lblError
Index: trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerConsole.cs
===================================================================
--- trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerConsole.cs	(revision 955)
+++ trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerConsole.cs	(revision 956)
@@ -31,4 +31,5 @@
 using HeuristicLab.Hive.Contracts.BusinessObjects;
 using HeuristicLab.Hive.Contracts;
+using System.Security.Cryptography;
 
 namespace HeuristicLab.Hive.Server.Console {
@@ -40,4 +41,6 @@
     public HiveServerConsole() {
       InitializeComponent();
+      tbUserName.Text = "Anita";
+      tbPwd.Text = "Anita";
       tbIp.Text = "10.20.53.1";
       tbPort.Text = "9000";
@@ -103,4 +106,10 @@
       }
     }
+
+    string md5sum(byte[] FileOrText) { //Output: String<-> Input: Byte[]
+       return BitConverter.ToString(new
+          MD5CryptoServiceProvider().ComputeHash(FileOrText)).Replace("-", "").ToLower();
+    } 
+
   }
 }
Index: trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerManagementConsole.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerManagementConsole.Designer.cs	(revision 955)
+++ trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerManagementConsole.Designer.cs	(revision 956)
@@ -32,4 +32,11 @@
       this.informationToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
       this.closeToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
+      this.addToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
+      this.jobToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
+      this.jobToolStripMenuItem1 = new System.Windows.Forms.ToolStripMenuItem();
+      this.groupToolStripMenuItem1 = new System.Windows.Forms.ToolStripMenuItem();
+      this.userToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
+      this.userToolStripMenuItem1 = new System.Windows.Forms.ToolStripMenuItem();
+      this.groupToolStripMenuItem2 = new System.Windows.Forms.ToolStripMenuItem();
       this.tcManagementConsole = new System.Windows.Forms.TabControl();
       this.tpClientControl = new System.Windows.Forms.TabPage();
@@ -45,5 +52,5 @@
       this.scUserControl = new System.Windows.Forms.SplitContainer();
       this.tvUserControl = new System.Windows.Forms.TreeView();
-      this.listView4 = new System.Windows.Forms.ListView();
+      this.lvUserControl = new System.Windows.Forms.ListView();
       this.treeView2 = new System.Windows.Forms.TreeView();
       this.listView2 = new System.Windows.Forms.ListView();
@@ -67,5 +74,6 @@
       // 
       this.menuStrip1.Items.AddRange(new System.Windows.Forms.ToolStripItem[] {
-            this.informationToolStripMenuItem});
+            this.informationToolStripMenuItem,
+            this.addToolStripMenuItem});
       this.menuStrip1.Location = new System.Drawing.Point(0, 0);
       this.menuStrip1.Name = "menuStrip1";
@@ -88,4 +96,56 @@
       this.closeToolStripMenuItem.Text = "Close";
       this.closeToolStripMenuItem.Click += new System.EventHandler(this.close_Click);
+      // 
+      // addToolStripMenuItem
+      // 
+      this.addToolStripMenuItem.DropDownItems.AddRange(new System.Windows.Forms.ToolStripItem[] {
+            this.jobToolStripMenuItem,
+            this.userToolStripMenuItem});
+      this.addToolStripMenuItem.Name = "addToolStripMenuItem";
+      this.addToolStripMenuItem.Size = new System.Drawing.Size(38, 20);
+      this.addToolStripMenuItem.Text = "Add";
+      // 
+      // jobToolStripMenuItem
+      // 
+      this.jobToolStripMenuItem.DropDownItems.AddRange(new System.Windows.Forms.ToolStripItem[] {
+            this.jobToolStripMenuItem1,
+            this.groupToolStripMenuItem1});
+      this.jobToolStripMenuItem.Name = "jobToolStripMenuItem";
+      this.jobToolStripMenuItem.Size = new System.Drawing.Size(152, 22);
+      this.jobToolStripMenuItem.Text = "Job";
+      // 
+      // jobToolStripMenuItem1
+      // 
+      this.jobToolStripMenuItem1.Name = "jobToolStripMenuItem1";
+      this.jobToolStripMenuItem1.Size = new System.Drawing.Size(152, 22);
+      this.jobToolStripMenuItem1.Text = "Job";
+      this.jobToolStripMenuItem1.Click += new System.EventHandler(this.jobToolStripMenuItem1_Click);
+      // 
+      // groupToolStripMenuItem1
+      // 
+      this.groupToolStripMenuItem1.Name = "groupToolStripMenuItem1";
+      this.groupToolStripMenuItem1.Size = new System.Drawing.Size(152, 22);
+      this.groupToolStripMenuItem1.Text = "Group";
+      // 
+      // userToolStripMenuItem
+      // 
+      this.userToolStripMenuItem.DropDownItems.AddRange(new System.Windows.Forms.ToolStripItem[] {
+            this.userToolStripMenuItem1,
+            this.groupToolStripMenuItem2});
+      this.userToolStripMenuItem.Name = "userToolStripMenuItem";
+      this.userToolStripMenuItem.Size = new System.Drawing.Size(152, 22);
+      this.userToolStripMenuItem.Text = "User";
+      // 
+      // userToolStripMenuItem1
+      // 
+      this.userToolStripMenuItem1.Name = "userToolStripMenuItem1";
+      this.userToolStripMenuItem1.Size = new System.Drawing.Size(114, 22);
+      this.userToolStripMenuItem1.Text = "User";
+      // 
+      // groupToolStripMenuItem2
+      // 
+      this.groupToolStripMenuItem2.Name = "groupToolStripMenuItem2";
+      this.groupToolStripMenuItem2.Size = new System.Drawing.Size(114, 22);
+      this.groupToolStripMenuItem2.Text = "Group";
       // 
       // tcManagementConsole
@@ -227,5 +287,5 @@
       // scUserControl.Panel2
       // 
-      this.scUserControl.Panel2.Controls.Add(this.listView4);
+      this.scUserControl.Panel2.Controls.Add(this.lvUserControl);
       this.scUserControl.Size = new System.Drawing.Size(637, 346);
       this.scUserControl.SplitterDistance = 139;
@@ -240,12 +300,12 @@
       this.tvUserControl.TabIndex = 1;
       // 
-      // listView4
-      // 
-      this.listView4.Dock = System.Windows.Forms.DockStyle.Fill;
-      this.listView4.Location = new System.Drawing.Point(0, 0);
-      this.listView4.Name = "listView4";
-      this.listView4.Size = new System.Drawing.Size(494, 346);
-      this.listView4.TabIndex = 1;
-      this.listView4.UseCompatibleStateImageBehavior = false;
+      // lvUserControl
+      // 
+      this.lvUserControl.Dock = System.Windows.Forms.DockStyle.Fill;
+      this.lvUserControl.Location = new System.Drawing.Point(0, 0);
+      this.lvUserControl.Name = "lvUserControl";
+      this.lvUserControl.Size = new System.Drawing.Size(494, 346);
+      this.lvUserControl.TabIndex = 1;
+      this.lvUserControl.UseCompatibleStateImageBehavior = false;
       // 
       // treeView2
@@ -317,6 +377,13 @@
     private System.Windows.Forms.TreeView tvJobControl;
     private System.Windows.Forms.TreeView tvUserControl;
-    private System.Windows.Forms.ListView listView4;
+    private System.Windows.Forms.ListView lvUserControl;
     private System.Windows.Forms.ImageList imageList1;
+    private System.Windows.Forms.ToolStripMenuItem addToolStripMenuItem;
+    private System.Windows.Forms.ToolStripMenuItem jobToolStripMenuItem;
+    private System.Windows.Forms.ToolStripMenuItem userToolStripMenuItem;
+    private System.Windows.Forms.ToolStripMenuItem jobToolStripMenuItem1;
+    private System.Windows.Forms.ToolStripMenuItem groupToolStripMenuItem1;
+    private System.Windows.Forms.ToolStripMenuItem userToolStripMenuItem1;
+    private System.Windows.Forms.ToolStripMenuItem groupToolStripMenuItem2;
   }
 }
Index: trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerManagementConsole.cs
===================================================================
--- trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerManagementConsole.cs	(revision 955)
+++ trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerManagementConsole.cs	(revision 956)
@@ -51,5 +51,5 @@
     private void addItems() {
       IClientManager clientManager =
-          ServiceLocator.GetClientManager();
+        ServiceLocator.GetClientManager();
 
       IJobManager jobManager =
@@ -59,8 +59,22 @@
         ServiceLocator.GetUserRoleManager();
 
-      clientManager.GetAllUpTimeStatistics();
+      //UserGroup usergr = new UserGroup { Name = "testusers" };
+      //User u = new User { Name = "Anita", Password = "Anita" };
+
+      //ResponseObject<User> respUser = userRoleManager.AddNewUser(u);
+      //ResponseObject<UserGroup> respUserGroup = userRoleManager.AddNewUserGroup(usergr);
+      //u = respUser.Obj;
+      //usergr = respUserGroup.Obj;
+      //userRoleManager.AddUserToGroup(usergr.PermissionOwnerId, u.PermissionOwnerId);
+
       clients = clientManager.GetAllClientGroups();
       jobs = jobManager.GetAllJobs();
       userGroups = userRoleManager.GetAllUserGroups();
+
+
+     // Response resp = userRoleManager.RemoveUserGroup(userGroups.List[userGroups.List.Count - 1].PermissionOwnerId);
+
+      userGroups = userRoleManager.GetAllUserGroups();
+      ResponseList<User> respList = userRoleManager.GetAllUsers();
       lvClientControl.Items.Clear();
       int count = 0;
@@ -75,9 +89,18 @@
         lvClientControl.Groups.Add(lvg);
       }
+
+
       foreach (Job job in jobs.List) {
         tvJobControl.Nodes.Add(job.JobId.ToString());
       }
       foreach (UserGroup ug in userGroups.List) {
-        tvUserControl.Nodes.Add(ug.PermissionOwnerId.ToString());
+        tvUserControl.Nodes.Add(ug.Name);
+        ListViewGroup lvg = new ListViewGroup(ug.Name, HorizontalAlignment.Left);
+
+        foreach (User users in ug.Members) {
+          tvUserControl.Nodes[tvUserControl.Nodes.Count - 1].Nodes.Add(users.Name);
+          lvUserControl.Items.Add(new ListViewItem(users.Name, count, lvg));
+        }
+        lvUserControl.Groups.Add(lvg);
       }
     }
@@ -106,4 +129,10 @@
 
     }
+
+    private void jobToolStripMenuItem1_Click(object sender, EventArgs e) {
+      AddNewForm newForm = new AddNewForm("Job", false);
+      newForm.Show();
+    }
+
   }
 }
Index: trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerManagementConsole.resx
===================================================================
--- trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerManagementConsole.resx	(revision 955)
+++ trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerManagementConsole.resx	(revision 956)
@@ -128,5 +128,5 @@
         AAEAAAD/////AQAAAAAAAAAMAgAAAFdTeXN0ZW0uV2luZG93cy5Gb3JtcywgVmVyc2lvbj0yLjAuMC4w
         LCBDdWx0dXJlPW5ldXRyYWwsIFB1YmxpY0tleVRva2VuPWI3N2E1YzU2MTkzNGUwODkFAQAAACZTeXN0
-        ZW0uV2luZG93cy5Gb3Jtcy5JbWFnZUxpc3RTdHJlYW1lcgEAAAAERGF0YQcCAgAAAAkDAAAADwMAAADQ
+        ZW0uV2luZG93cy5Gb3Jtcy5JbWFnZUxpc3RTdHJlYW1lcgEAAAAERGF0YQcCAgAAAAkDAAAADwMAAACo
         EwAAAk1TRnQBSQFMAgEBAwEAAQQBAAEEAQABIAEAASABAAT/AQkBAAj/AUIBTQE2AQQGAAE2AQQCAAEo
         AwABgAMAASADAAEBAQABCAYAARAYAAGAAgABgAMAAoABAAGAAwABgAEAAYABAAKAAgADwAEAAcAB3AHA
@@ -158,60 +158,59 @@
         AQABIQEAAaUBAANfAQADdwEAA4YBAAOWAQADywEAA7IBAAPXAQAD3QEAA+MBAAPqAQAD8QEAA/gBAAHw
         AfsB/wEAAaQCoAEAA4ADAAH/AgAB/wMAAv8BAAH/AwAB/wEAAf8BAAL/AgAD/wEACzUCVgGXA3gBlwNW
-        CjUBNAssAlMFdAFSAUwBTQssDEABRgFpBG8CRgxAIAAJNQJWAZgBBwG8A/ABvAHuAe8BeAJWBDUBNAM1
-        ATQJLAFNAVIBkwEHAbwD8AG8Ae4B7wF0AVIBTQksCkABaQGTAQcBvAPwAbwB7gHvAW8BRgpAIAAINQFW
-        AZgBvAHwBPEC8AHxAfACBwGYAVYFNAI1ATQILAFSAZMBvAHwBPEC8AHxAfACBwGTAUwCLAErBSwIQAFG
-        AZMBvAHwBPEC8AHxAfACBwGTAUYCQAEgBUAgAAc1AVYB7wO8AfAD8QPwBAcB9wFQAi4FNAcsAVIBmQO8
-        AfAD8QPwBAcB7wFuBCsDLAdAAUYBkwO8AfAD8QPwBAcB7wFoAukCIANAIAAGNQFWAZgDBwG8AfAC8QHw
-        A7wCBwHvAvcB7QFPAi4ENAYsAU0BkwMHAbwB8ALxAfADvAIHAe8C9wHtAUsDKwMsB0ABkwMHAbwB8ALx
-        AfADvAIHAe8C9wHtAukCIANAIAAGNQFWAZgEBwG8A/ABvAMHAe8B9wHtAZIB7QFPBjQGLAFTAZMEBwG8
-        A/ABvAMHAe8B9wHtAZIBHAFLAysDLAdAAZMEBwG8A/ABvAMHAe8B9wHtAZIB7QHpAyADQCAABzUBlwHv
-        BQcBvAIHAu8B7QLsAe0BkgFyAi4FNAcsAXQB7wUHAbwCBwLvAe0C7AHtAfcBcwErAUwCKwMsB0ABaQGT
-        BQcBvAIHAu8B7QLsAe0BkgFuAukFQCAACDUBVgEcAe8BBwPvAZIB7AH4Am0B6wHsAfcB7wH3Au8BcgQ0
-        CCwBTAEcAgcD7wGSAewB+AJtAesB7AH3Ae8BHALvAXQELAhAAUYBkwHvAQcD7wGSAewB+AJtAesB7AH3
-        Ae8BHALvAW8EQCAACTUBNAFQAXIC7QHsAvgC7AGSAu8BBwG8AfABvAHvAXMDNQE0CSwBKwFMAW4B7QGS
-        AewC+ALsAZIC7wEHAbwB8AG8AQcBdAQsCkABRQFuAewB7QHsAvgC7AGSAu8BBwG8AfABvAHvAW8EQCAA
-        CjUBNAFVAVAD7AHtAfcBBwO8AQcB7wH3AgcBcwM1ATQLLAJMA+wB7QH3AQcDvAEHAe8B9wIHARwELAxA
-        AUUB+ALsAe0B9wEHA7wBBwHvAfcCBwGNBEAgAAU1AjQCUAFyAe0BkgH3A+8CBwHvAe0BbQETARUBEQEV
-        AewBvAHtAVYCNQE0BSwBKwJMAUsBcwHtAvcD7wIHAe8B7QFtARMBFQERARUB7AG8ARwBTQMsB0ABRgFF
-        AW4B7QGSAfcD7wIHAe8B7QFtARMBFQERARUB7AG8Ae0EQCAAATUCVgFyAewB7QH3BQcB7wH3AewBbQEU
-        AkMCEQNDARQB7AG8Ae0BVgI1ATQBLAFNAUwBcwHsAe0B7wUHAe8B9wHsAW0BFAJDAhEDQwEUAewBvAEc
-        AVMDLAFAAkYCbgHtAfcFBwHvAfcB7AFtARQCQwIRA0MBFAHsAbwBkgFGA0AgAAE1AZcB7QLvAwcB9wHs
-        AeoBFQERAxABEQIVBRQBEwHsAbwBHAFWAjUBNAEsAXQB7QLvAwcB9wHsAeoBFQERAxABEQIVBRQBEwHs
-        AbwBHAFSAywBQAFpAe0C7wMHAfcB7AHqARUBEQMQARECFQUUARMB7AG8AZIBRgNAIAABNQF4AfcB7QHs
-        AW0BFQEQAw8DEAIRARUBFAITBRIB+AG8AfcBVgI1ATQBLAF0AfcB7QHsAW0BFQEQAw8DEAIRARUBFAIT
-        BRIB+AG8ARwBUgMsAUABbwH3Ae0B7AFtARUBEAMPAxACEQEVARQCEwUSAfgBvAH3AUYDQCAAATUBeAH3
-        AREIEAMRAUMBFAESAuoFbQH4AbwB7wFWAjUBNAEsAXUB9wERCBADEQFDARQBEgLqBW0B+AG8Ae8BUgMs
-        AUABbwH3AREIEAMRAUMBFAESAuoFbQH4AbwB7wFpA0AgAAE1AVYB7wEVAREBQwMRAhADEQJDARMEbQTr
-        AewBBwHvAZcCNQE0ASwBUwHvARUBEQFDAxECEAMRAkMBEwRtBOsB7AEHAe8BdAMsAUABFwHvARUBEQFD
-        AxECEAMRAkMBEwRtBOsB7AEHAe8BbwNAIAABNQFWAe8BEwFDARUCQwERARADEQJDARUB6gX4BOwCBwFz
-        AjUBNAEsAVMB7wETAUMBFQJDAREBEAMRAkMBFQHqBfgE7AIHAXQDLAFAAUYB7wETAUMBFQJDAREBEAMR
-        AkMBFQHqBfgE7AEHAe8BbwNAIAABNQFWAe8BbQEVAhQBFQQRA0MBFAFtBewD7QHsAgcBcwI1ATQBLAFT
-        Ae8BbQEVAhQBFQQRA0MBFAFtBewD7QHsAgcBHAMsAkAB7wFtARUCFAEVBBEDQwEUAW0F7APtAewCBwFu
-        A0AgAAI1Ae8B6wEVARMBEgEUAxEEQwETAfgGkgH3ApIB7wG8Ae0CNQE0AiwB7wHrARUBEwESARQDEQRD
-        ARMB+AaSAfcCkgHvAbwBHAMsAkABkwHrARUBEwESARQDEQRDARMB+AaSAfcCkgHvAbwB7QNAIAACNQGY
-        AewBFALqARUDEQNDARUBEgHsAe8C9wXvAfcB7wHwAe0CNQE0AiwBmQHsARQC6gEVAxEDQwEVARIB7AHv
-        AvcF7wH3Ae8B8AEcAU0CLAJAAZMB7AEUAuoBFQMRA0MBFQESAewB7wL3Be8B9wHvAfAB7QNAIAACNQGY
-        AfcBFAFtAeoBQwIRA0MCFQFtAZIF7wMHAu8B8AGSAVYBNQE0AiwBkwH3ARQBbQHqAUMCEQNDAhUBbQGS
-        Be8DBwLvAfABHAFSAiwCQAGTAfcBFAFtAeoBQwIRA0MCFQFtAZIF7wMHAu8B8AHtAUYCQCAAAjUBeAH3
-        ARMBbQESAhEDQwIVARQB+AHvBgcCvAIHAfABkgFWATUBNAIsAXQB7wETAW0BEgIRA0MCFQEUAfgB7wYH
-        ArwCBwHwARwBUgIsAkABbwH3ARMBbQESAhEDQwIVARQB+AHvBgcCvAIHAfABkgFGAkAgAAI1AXgB7wET
-        AW0BFQERAkMCFQIUARMB7AW8BPABvAEHAfAB9wGXATUBNAIsAXQB7wETAW0BFQERAkMCFQIUARMB7AW8
-        BPABvAEHAfABHAF0AiwCQAFvAfcBEwFtARUBEQJDAhUCFAETAewFvATwAbwBBwHwAfcBaQJAIAACNQFW
-        Ae8CEgFDARECQwIVAhQB6gH3BfAF8QEHAfAB7wGXATUBNAIsAVMB7wISAUMBEQJDAhUCFAHqAfcF8AXx
-        AQcB8AHvAXQCLAJAAUYB7wISAUMBEQJDAhUCFAHqAfcF8AXxAQcB8AHvAW8CQCAAAjUBVgHvARIBFQER
-        AkMCFQMUAW0BBwHyBPEF8gG8AfEB7wFyATUBNAIsAVMB7wESARUBEQJDAhUDFAFtAQcB8gTxBfIBvAHx
-        Ae8BdAIsAkABRgHvARIBFQERAkMCFQMUAW0BBwHyBPEF8gG8AfEB7wFvAkAgAAM1ARwBEgIRAkMCFQIU
-        ARMB7AHwBfIF8wLxAe4BcwE1ATQCLAFNAZMBEgIRAkMCFQIUARMB7AHwBfIF8wLxAe4BdAIsA0ABkwES
-        AhECQwIVAhQBEwHsAfAF8gXzAvEB7gFuAkAgAAM1AZgBbQIRAkMCFQIUARMBkgHyCPMB8gHxAQcC8AHt
-        ATUBNAMsAZMBbQIRAkMCFQIUARMBkgHyCPMB8gHxAQcC8AHtAU0BLANAAZMBbQIRAkMCFQIUARMBkgHy
-        CPMB8gHxAQcC8AHsAkAgAAM1AZgB+AFDARECQwIVAhQBEgHvAfIB8QHwA7wFBwG8AvEBHAE1ATQDLAEc
-        AfgBQwERAkMCFQIUARIB7wHyAfEB8AO8BQcBvALxARwBTQEsA0ABkwH4AUMBEQJDAhUCFAESAe8B8gHx
-        AfADvAUHAbwC8QHtAkAgAAM1AZgB7QEVAhECQwEVAhQB6gHtA+8CBwS8AQgCmQKYAVYBNQE0AywBkwHt
-        ARUCEQJDARUCFAHqAe0D7wIHBbwDmQGTAVMCLANAAY4B7QEVAhECQwEVAhQB6gHtA+8CBwO8Ae4BBwOT
-        AY4BRgJAIAADNQF4AfcCFAHqAW0B7AGSAe8BBwG8Ae4BBwIIAZkDmAN4BVYBNQE0AywBdAH3AhQB6gFt
-        AewBkgHvAQcBvALuAQcDmQKTAnQBdQVTAiwDQAFvAfcCFAHqAW0B7AGSAe8BBwG8Ae4CBwWTAY4CbwFp
-        BEYCQCAAAzUBeAHvAQcB7gEHAggBmQKYAngGVgo1ATQDLAF0AgcC7gEHA5kBkwF0AXUFUwFNCywDQAFv
-        Ae8BBwHuAwcDkwJvAWkDRg1AIAAENQFWAZcDVhY1ATQELAFTAXUDUxcsBEADaQJGF0AgAAFCAU0BPgcA
-        AT4DAAEoAwABgAMAASADAAEBAQABAQYAAQIWAAP//wD/AAMACw==
+        CjUBNAssAlMFdAFSAUwBTQssDEABRgFpBG8CRgxAIAAJNQJWAZgBBwG8A/ACvAHvAXgCVgQ1ATQDNQE0
+        CSwBTQFSAZMBBwG8A/ACvAHvAXQBUgFNCSwKQAFpAZMBBwG8A/ACvAHvAW8BRgpAIAAINQFWAZgBvAHw
+        BPEC8AHxAfACBwGYAVYFNAI1ATQILAFSAZMBvAHwBPEC8AHxAfACBwGTAUwCLAErBSwIQAFGAZMBvAHw
+        BPEC8AHxAfACBwGTAUYCQAEgBUAgAAc1AVYB7wO8AfAD8QPwBAcB9wFQAi4FNAcsAVIBmQO8AfAD8QPw
+        BAcB7wFuBCsDLAdAAUYBkwO8AfAD8QPwBAcB7wFoAukCIANAIAAGNQFWAZgDBwG8AfAC8QHwA7wCBwHv
+        AvcB7QFPAi4ENAYsAU0BkwMHAbwB8ALxAfADvAIHAe8C9wHtAUsDKwMsB0ABkwMHAbwB8ALxAfADvAIH
+        Ae8C9wHtAukCIANAIAAGNQFWAZgEBwG8A/ABvAMHAe8B9wHtAZIB7QFPBjQGLAFTAZMEBwG8A/ABvAMH
+        Ae8B9wHtAZIBHAFLAysDLAdAAZMEBwG8A/ABvAMHAe8B9wHtAZIB7QHpAyADQCAABzUBlwHvBQcBvAIH
+        Au8B7QLsAe0BkgFyAi4FNAcsAXQB7wUHAbwCBwLvAe0C7AHtAfcBcwErAUwCKwMsB0ABaQGTBQcBvAIH
+        Au8B7QLsAe0BkgFuAukFQCAACDUBVgEcAe8BBwPvAZIC7AJtAesB7AH3Ae8B9wLvAXIENAgsAUwBHAIH
+        A+8BkgLsAm0B6wHsAfcB7wEcAu8BdAQsCEABRgGTAe8BBwPvAZIC7AJtAesB7AH3Ae8BHALvAW8EQCAA
+        CTUBNAFQAXIC7QXsAZIC7wEHAbwB8AG8Ae8BcwM1ATQJLAErAUwBbgHtAZIF7AGSAu8BBwG8AfABvAEH
+        AXQELApAAUUBbgHsAe0F7AGSAu8BBwG8AfABvAHvAW8EQCAACjUBNAFVAVAD7AHtAfcBBwO8AQcB7wH3
+        AgcBcwM1ATQLLAJMA+wB7QH3AQcDvAEHAe8B9wIHARwELAxAAUUD7AHtAfcBBwO8AQcB7wH3AgcBjQRA
+        IAAFNQI0AlABcgHtAZIB9wPvAgcB7wHtAW0BEwEVAREBFQHsAbwB7QFWAjUBNAUsASsCTAFLAXMB7QL3
+        A+8CBwHvAe0BbQETARUBEQEVAewBvAEcAU0DLAdAAUYBRQFuAe0BkgH3A+8CBwHvAe0BbQETARUBEQEV
+        AewBvAHtBEAgAAE1AlYBcgHsAe0B9wUHAe8B9wHsAW0BFAJDAhEDQwEUAewBvAHtAVYCNQE0ASwBTQFM
+        AXMB7AHtAe8FBwHvAfcB7AFtARQCQwIRA0MBFAHsAbwBHAFTAywBQAJGAm4B7QH3BQcB7wH3AewBbQEU
+        AkMCEQNDARQB7AG8AZIBRgNAIAABNQGXAe0C7wMHAfcB7AHqARUBEQMQARECFQUUARMB7AG8ARwBVgI1
+        ATQBLAF0Ae0C7wMHAfcB7AHqARUBEQMQARECFQUUARMB7AG8ARwBUgMsAUABaQHtAu8DBwH3AewB6gEV
+        AREDEAERAhUFFAETAewBvAGSAUYDQCAAATUBeAH3Ae0B7AFtARUBEAMPAxACEQEVARQCEwUSAewBvAH3
+        AVYCNQE0ASwBdAH3Ae0B7AFtARUBEAMPAxACEQEVARQCEwUSAewBvAEcAVIDLAFAAW8B9wHtAewBbQEV
+        ARADDwMQAhEBFQEUAhMFEgHsAbwB9wFGA0AgAAE1AXgB9wERCBADEQFDARQBEgLqBW0B7AG8Ae8BVgI1
+        ATQBLAF1AfcBEQgQAxEBQwEUARIC6gVtAewBvAHvAVIDLAFAAW8B9wERCBADEQFDARQBEgLqBW0B7AG8
+        Ae8BaQNAIAABNQFWAe8BFQERAUMDEQIQAxECQwETBG0E6wHsAQcB7wGXAjUBNAEsAVMB7wEVAREBQwMR
+        AhADEQJDARMEbQTrAewBBwHvAXQDLAFAARcB7wEVAREBQwMRAhADEQJDARMEbQTrAewBBwHvAW8DQCAA
+        ATUBVgHvARMBQwEVAkMBEQEQAxECQwEVAeoJ7AIHAXMCNQE0ASwBUwHvARMBQwEVAkMBEQEQAxECQwEV
+        AeoJ7AIHAXQDLAFAAUYB7wETAUMBFQJDAREBEAMRAkMBFQHqCewBBwHvAW8DQCAAATUBVgHvAW0BFQIU
+        ARUEEQNDARQBbQXsA+0B7AIHAXMCNQE0ASwBUwHvAW0BFQIUARUEEQNDARQBbQXsA+0B7AIHARwDLAJA
+        Ae8BbQEVAhQBFQQRA0MBFAFtBewD7QHsAgcBbgNAIAACNQHvAesBFQETARIBFAMRBEMBEwHsBpIB9wKS
+        Ae8BvAHtAjUBNAIsAe8B6wEVARMBEgEUAxEEQwETAewGkgH3ApIB7wG8ARwDLAJAAZMB6wEVARMBEgEU
+        AxEEQwETAewGkgH3ApIB7wG8Ae0DQCAAAjUBmAHsARQC6gEVAxEDQwEVARIB7AHvAvcF7wH3Ae8B8AHt
+        AjUBNAIsAZkB7AEUAuoBFQMRA0MBFQESAewB7wL3Be8B9wHvAfABHAFNAiwCQAGTAewBFALqARUDEQND
+        ARUBEgHsAe8C9wXvAfcB7wHwAe0DQCAAAjUBmAH3ARQBbQHqAUMCEQNDAhUBbQGSBe8DBwLvAfABkgFW
+        ATUBNAIsAZMB9wEUAW0B6gFDAhEDQwIVAW0BkgXvAwcC7wHwARwBUgIsAkABkwH3ARQBbQHqAUMCEQND
+        AhUBbQGSBe8DBwLvAfAB7QFGAkAgAAI1AXgB9wETAW0BEgIRA0MCFQEUAewB7wYHArwCBwHwAZIBVgE1
+        ATQCLAF0Ae8BEwFtARICEQNDAhUBFAHsAe8GBwK8AgcB8AEcAVICLAJAAW8B9wETAW0BEgIRA0MCFQEU
+        AewB7wYHArwCBwHwAZIBRgJAIAACNQF4Ae8BEwFtARUBEQJDAhUCFAETAewFvATwAbwBBwHwAfcBlwE1
+        ATQCLAF0Ae8BEwFtARUBEQJDAhUCFAETAewFvATwAbwBBwHwARwBdAIsAkABbwH3ARMBbQEVARECQwIV
+        AhQBEwHsBbwE8AG8AQcB8AH3AWkCQCAAAjUBVgHvAhIBQwERAkMCFQIUAeoB9wXwBfEBBwHwAe8BlwE1
+        ATQCLAFTAe8CEgFDARECQwIVAhQB6gH3BfAF8QEHAfAB7wF0AiwCQAFGAe8CEgFDARECQwIVAhQB6gH3
+        BfAF8QEHAfAB7wFvAkAgAAI1AVYB7wESARUBEQJDAhUDFAFtAQcB8gTxBfIBvAHxAe8BcgE1ATQCLAFT
+        Ae8BEgEVARECQwIVAxQBbQEHAfIE8QXyAbwB8QHvAXQCLAJAAUYB7wESARUBEQJDAhUDFAFtAQcB8gTx
+        BfIBvAHxAe8BbwJAIAADNQEcARICEQJDAhUCFAETAewB8AXyBfMC8QG8AXMBNQE0AiwBTQGTARICEQJD
+        AhUCFAETAewB8AXyBfMC8QG8AXQCLANAAZMBEgIRAkMCFQIUARMB7AHwBfIF8wLxAbwBbgJAIAADNQGY
+        AW0CEQJDAhUCFAETAZIB8gjzAfIB8QEHAvAB7QE1ATQDLAGTAW0CEQJDAhUCFAETAZIB8gjzAfIB8QEH
+        AvAB7QFNASwDQAGTAW0CEQJDAhUCFAETAZIB8gjzAfIB8QEHAvAB7AJAIAADNQGYAewBQwERAkMCFQIU
+        ARIB7wHyAfEB8AO8BQcBvALxARwBNQE0AywBHAHsAUMBEQJDAhUCFAESAe8B8gHxAfADvAUHAbwC8QEc
+        AU0BLANAAZMB7AFDARECQwIVAhQBEgHvAfIB8QHwA7wFBwG8AvEB7QJAIAADNQGYAe0BFQIRAkMBFQIU
+        AeoB7QPvAgcEvAEIApkCmAFWATUBNAMsAZMB7QEVAhECQwEVAhQB6gHtA+8CBwW8A5kBkwFTAiwDQAGO
+        Ae0BFQIRAkMBFQIUAeoB7QPvAgcEvAEHA5MBjgFGAkAgAAM1AXgB9wIUAeoBbQHsAZIB7wEHArwBBwII
+        AZkDmAN4BVYBNQE0AywBdAH3AhQB6gFtAewBkgHvAQcDvAEHA5kCkwJ0AXUFUwIsA0ABbwH3AhQB6gFt
+        AewBkgHvAQcCvAIHBZMBjgJvAWkERgJAIAADNQF4Ae8BBwG8AQcCCAGZApgCeAZWCjUBNAMsAXQCBwK8
+        AQcDmQGTAXQBdQVTAU0LLANAAW8B7wEHAbwDBwOTAm8BaQNGDUAgAAQ1AVYBlwNWFjUBNAQsAVMBdQNT
+        FywEQANpAkYXQCAAAUIBTQE+BwABPgMAASgDAAGAAwABIAMAAQEBAAEBBgABAhYAA///AP8AAwAL
 </value>
   </data>
